Next: Creating a TixComboBox Up: Introduction Previous: Caution: Restricted Access

## Another Tix Widget: TixComboBox

The TixComboBox widget is very similar to the ComboBox widgets available in MS Windows and Motif 2.0. A TixComboBox consists of an entry widget and a listbox widget. Usually, the ComboBox contains a list of possible values for the user to select. The user may also choose an alternative value by typing it in the entry widget. Figure 1-8 shows two ComboBoxes for the user to choose fonts and character sizes. You can see fro the figure that a listbox is popped down from the ComboBox for fonts for the user to choose among a list of possible fonts.

- Creating a TixComboBox Widget
- Controlling the Style of the TixComboBox
- Static Options
- Monitoring the User's Browsing Actions